
.calendarButton {
    text-decoration: underline;
}
        header {
            background-color: #2c2c356e;
            border-radius: 30px;
            color: #15151E;
            text-align: center;
            font-size: 25px;
            font-family: 'F1 Bold';
            box-shadow: 0 10px 10px rgba(0,0,0,0.6);
            margin-bottom: 50px;
            min-height: 270px;
            position: relative;
        }
            header img {
                margin-top: 70px;
                scale : 130%;
            }

            header p {
                margin-top: 5px;
                margin-bottom: 0;
                font-size: 38px;
                letter-spacing: 2px;
                font-weight: 200px;
            }
        body {
            background: repeating-linear-gradient(170deg, #E10600, #2C2C35, #15151E 2000px);
            background-repeat: repeat;
            color: #ffffff;
            flex-direction: column;
            padding: 40px;
            margin: 0px;
            min-height: 100vh;
        }
        .navMobile
        {
            display: none;
        }
        .container {
            flex: 1;
            display: flex;
            gap: 100px;
            max-width: 1700px;
            margin: 0 auto;
            min-height: 30px;
        }

        .contatinerCalendar{
            flex: 1;
            display: flex;
            gap: 100px;
            max-width: 1700px;
            margin: 0 auto;
            min-height: 30px;
            
        }
        .panelCalenar{
            flex: 1;

            max-width: 1300px;
            padding: 80px 40px;
            margin: 0 auto;

            min-width: 0;
            overflow-y: auto;

            background: rgba(64, 64, 82, 0.6);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 1px solid rgba(30, 30, 38, 0.3);
        }
        .panelCalenar h2{
            font-family: 'F1 Bold';
            font-size: 32px;
            margin-bottom: 20px;
            color: #ffffe6;
            text-align: center;
        }
        .table-header,
        .table-row {
            display: grid;
            grid-template-columns: 180px 50px 500px 380px 70px; 
            align-items: center;
            padding: 5px 0;
        }
        .table-row{
            cursor: pointer;
        }
        .row{
             background: rgba(0, 0, 0, 0.35);
            
            margin-top: 8px;
            font-family: "F1 Regular";
            border-radius: 10px;
            padding: 15px;
            display: grid;
            grid-template-columns: 80px 100px 570px 1fr 130px;
        }
        .row img{
            margin-left: 30px;
            width: 50px;  
            height: 30px; 
            object-fit: cover; 
            border-radius: 4px; 
        }
        .table-header {            
            font-weight: bold;
            font-family: "F1 Bold";
            color: #ccc;
            border-bottom: 1px solid rgba(255,255,255,0.2);
            margin-bottom: 5px;
        }   
        .row:hover {
                transform: scale(1.02);
                background: rgba(255, 255, 255, 0.12);
            }
        .circuitName {
            font-family: "F1 Bold";
            padding: 30px;
            font-size: xx-large;
            letter-spacing: 1px;       
        }
        .sprintRaceText{
            display: inherit;
        }
        .currentPage{
            display: none;
            font-size: 19px;
            top: 80%;
            left: 50%;
            transform: translateX(-50%);
            text-align: center;
            position: absolute;
        }
        
        .modal-overlayCal {
            display: none;
            position: fixed;
            inset: 0;
            background: rgba(0, 0, 0, 0);
            animation: modalAnim 3s 1;
            backdrop-filter: blur(4px);
            -webkit-backdrop-filter: blur(6px);
            z-index: 1;
        }
        .picturesContainer{
            display: flex;
            max-width: 635px;
            flex-direction: column;
        }
        .picturesContainer img{
            display: flex;
            height: auto;
            margin-top: 20px;
            border-radius: 16px;
            box-shadow: 10px 10px 30px rgba(0, 0, 0, 0.5);;
        }
        .picturesContainer img:hover{
            cursor: pointer;
        }
        label:hover{
            cursor: pointer;
        }
        @keyframes modalAnim{
            0%{
                backdrop-filter: blur(1px);
            -webkit-backdrop-filter: blur(1px);
            }
            50%{
                backdrop-filter: blur(3px);
            -webkit-backdrop-filter: blur(3px);
            }
            100%{
                backdrop-filter: blur(4px);
            -webkit-backdrop-filter: blur(6px);
            }
        }
        .panelRaceCalendar{
            display: none;
            position:absolute;
            background: #33333f;
            border-radius: 8px;
            max-width: 1300px;
            padding: 50px 40px;
            margin: 0 auto;
            min-width: 0;
            left: 50%;
            transform: translateX(-50%);
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
            backdrop-filter: blur(2px);
            z-index: 2;
            overflow-y: auto;
            animation: panelAnim 0.3s 1;
            background: rgba(128, 131, 170, 0.22);
  margin-top: 8px;
  font-family: "F1 Regular";
  border-radius: 10px;
        }
        
        @keyframes panelAnim {
            0%{
                transform: translateX(-50%) scale(0.7);
            }
            75%{
                transform: translateX(-50%) scale(1.05);
            }
            100%{
                transform: translateX(-50%) scale(1);
            }
        }
        .panel-races h2 {
            text-align: center;
            margin-bottom: 20px;
            font-family: 'F1 SemiBold';
            color: #ffffe6;
            font-size: 24px;
            letter-spacing: 1px;
            text-transform: uppercase;
            border-bottom: 2px solid rgba(255,255,255,0.2);
            padding-bottom: 10px;
        }
        .container-raceInfos
        {
            flex: 1;
            display: flex;
            gap: 100px;
            max-width: 1700px;
            margin: 0 auto;
            min-height: 30px;
            
        }
        .row-race{
            background: rgba(0, 0, 0, 0.35);
            margin-top: 8px;
            font-family: "F1 Regular";
            border-radius: 10px;
            max-width: 635px;
            padding: 15px;
        }
        .row-race img {
            margin-left: 30px;
            width: 50px;  
            height: 30px; 
            object-fit: cover; 
            border-radius: 4px; 
        }
        .circuitName {
            font-family: "F1 Bold";
            overflow: hidden;
            text-overflow: ellipsis;
            padding: 30px;
            font-size: xx-large;
            letter-spacing: 1px;       
        }

        .table-panel-race {
        display: flex;
        flex-direction: column;
        background: #1E1E26;
        padding: 15px;
        border-radius: 8px;
        max-width: 660px;
        margin-top: 20px;
        margin-left: 40px;
        height: 393px;
        }

        .table-header-race,
        .table-row-race {
        display: grid;
        grid-template-columns: 40px 350px 140px 20px 60px; 
        align-items: center;
        padding: 5px 0;
        }

        .table-header-race {
            
        font-weight: bold;
        color: #ccc;
        border-bottom: 1px solid rgba(255,255,255,0.2);
        margin-bottom: 5px;
        }

        .col.name{
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .col.lap{
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            color: #ccc
        }

        .table-row-race {
        color: #fff;
        }

        .closeButton {
            position: absolute;
            top: 10px;
            right: 10px;
            height: 30px;
            width: 30px;
            background: transparent;
            border: none;
            background-color: #E10600;
            color: #fff;
            font-size: 20px;
            cursor: pointer;
        }


        @media (max-width: 1300px) {
            
            .nav.active {
                display: flex;
            }
            body {
                background: repeating-linear-gradient(170deg, #E10600, #2C2C35, #15151E 2000px);
                background-repeat: repeat;
                color: #ffffff;
                flex-direction: column;
                padding: 40px;
                margin: 0px;
                min-height: 100vh;
            }
        }
        @media (max-width: 784px) {
            
            .table-panel {
                display: flex;
                flex-direction: column;
                background: #1E1E26;
                padding: 5px;
                border-radius: 8px;
                max-width: 640px;
                margin-top: 20px;
                margin-left: 5px;
                max-height: 350px;
            }
            body {
                background: repeating-linear-gradient(170deg, #E10600, #2C2C35, #15151E 2000px);
                background-repeat: repeat;
                color: #ffffff;
                flex-direction: column;
                padding: 10px;
                margin: 0px;
                min-height: 100vh;
            }
        }
        @media (max-width: 738px) {
            .sprintRaceText{
                display: none;
            }
            .table-row {
                display: grid;
                grid-template-columns: 0px 90px 180px 0px 0px; 
                align-items: center;
                padding: 5px;
                
            }
            .table-header {            
                font-weight: bold;
                font-family: "F1 Bold";
                grid-template-columns: 30px 50px 180px 0px 50px;
                color: #ccc;
                border-bottom: 1px solid rgba(255,255,255,0.2);
                margin-bottom: 5px;;
            } 
            
            .table-panel {
                display: flex;
                flex-direction: column;
                background: #1E1E26;
                padding: 2px;
                border-radius: 8px;
                max-width: auto;
                margin-top: 20px;
                margin-left: 5px;
                max-height: 350px;
            } 
            body {
                background: repeating-linear-gradient(170deg, #E10600, #222266, #131327 2000px);
                background-repeat: repeat;
                color: #ffffff;
                flex-direction: column;
                padding: 10px;
                margin: 0px;
                min-height: 100vh;
            }
            .header {
            background-color: #2c2c356e;
            border-radius: 30px;
            color: #15151E;
            text-align: center;
            font-size: 25px;
            font-family: 'F1 Bold';
            box-shadow: 0 10px 10px rgba(0,0,0,0.6);
            margin-bottom: 50px;
            min-height: 270px;
            position: relative;
            max-width: 370px;
            } 
            .header-img{
                scale: 80%;
                position: absolute;
                align-self: center;
                left: 37%;
                transform: translateX(-50%);
            }

            .panelRaceCalendar{
                align-self: center;
                margin: 6px;
                padding: 12px;
                width: 340px;
                overflow-y: unset;
                animation: none;
            background: rgba(90, 92, 119, 0.555);
            }
            .modal-overlayCal{
                width: 360px;
            }
            .col.lap{
                display: none;
            }
            .col.spacer{
                display: none;
            }
            .col.points{
                display: none;
            }
            .container-raceInfos{
                max-width: 330px;
            } 
            .table-header-race {
            
                font-weight: bold;
                color: #ccc;
                border-bottom: none;
                margin-bottom: 5px;
            }
            .modal-overlayCal {
            animation: none;
        }
            
        }